
Infrastructure - Bug #2423

cn.resolve() chokes on bad nodeIdentifiers

2012-03-01 17:35 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In the event of a bad NodeReference in the systemmetadata, the desired behavior for resolve is to return at least the valid choices,

and redact or include the bad ones it discovered.  Currently, it gives up, returning a ServiceFailure instead.

ServiceFailure: 4150:: unregistered Node identifier (DEMO2) in systemmetadata document for object:

MNReplicationIT.2012188036391

History

#1 - 2012-03-01 17:38 - Rob Nahf

- Category set to Metacat

- Assignee set to Chris Jones

#2 - 2012-03-01 19:45 - Chris Jones

- Assignee changed from Chris Jones to Robert Waltz

#3 - 2012-03-02 06:59 - Robert Waltz

- Category changed from Metacat to d1_cn_service

- Status changed from New to Closed

redact the entry from objectLocationList if node is nonexistent or its state is not UP
